/* 颜色样式 */
:root {
  --fs-tkcs-team-service-bg: #D8B976;
  --fs-tkcs-team-service-tab-color: #FFFFFF;

  --fs-tkcs-team-service-swiper-bg: #FFFFFF;
  --fs-tkcs-team-service-swiper-color: #565759;

  --fs-tkcs-team-service-countdown-bg: #15232E;
  --fs-tkcs-team-service-countdown-color: #F5DFAE;
}

/* 主题样式 */
.fs-tkcs-service {
  position: relative;
  padding: 90px 0;
  display: flex;
  flex-direction: column;
  gap: 80px;
  width: 100%;
  overflow-x: hidden;
  background: var(--fs-tkcs-team-service-bg);
}



.fs-tkcs-service-tab {
  position: relative;
  width: min(96%, 1440px);
  margin: 0 auto;
  display: flex;
  justify-content: center;
  gap: 80px;
  z-index: 2;
}

.fs-tkcs-service-tab span {
  position: relative;
  color: var(--fs-tkcs-team-service-tab-color);
  text-align: center;
  font-family: Urbanist;
  font-size: 40px;
  font-style: normal;
  font-weight: 600;
  line-height: 100%;
  height: 56px;
  /* 40px */
  text-transform: uppercase;
  cursor: pointer;
}

.fs-tkcs-service-tab span::before {
  position: absolute;
  bottom: 0;
  left: 50%;
  transform: translateX(-50%);
  width: 50%;
  height: 6px;
  background: var(--fs-tkcs-team-service-tab-color);
  content: '';
  display: none;
}

.fs-tkcs-service-tab span.fs-tkcs-service-tab-active::before {
  display: block;
}

.fs-tkcs-service .swiper {
  width: 100%;
  overflow: visible;
}

.fs-tkcs-service .swiper-slide {
  display: flex;
  flex-direction: column;
  gap: 24px;
  width: 380px;
  margin-right: 64px;
  padding: 24px;
  padding-top: 0;
  background: var(--fs-tkcs-team-service-swiper-bg);
}

.fs-tkcs-service .swiper-slide:nth-child(1) {
  /* margin-left: calc((100% - 1440px) / 2); */
  /* 使用 min() 和 calc() 实现宽度 96% 但最大 1440px 的居中容器的左侧对齐 */
  margin-left: calc((100% - min(96%, 1440px)) / 2);
}

.fs-tkcs-service-img {
  position: relative;
  width: 380px;
  aspect-ratio: 1/1;
  overflow: hidden;
  margin-top: -24px;
}

.fs-tkcs-service-img img {
  position: relative;
  width: 100%;
  height: 100%;
  object-fit: cover;
  z-index: 1;
}

.fs-tkcs-service-countdown {
  position: absolute;
  bottom: 0;
  right: 0;
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  color: var(--fs-tkcs-team-service-countdown-color);
  font-family: "Rubik";
  font-style: normal;
  font-weight: 300;
  line-height: 1;
  /* 100% */
  letter-spacing: 1px;
  padding: 8px 16px;
  z-index: 5;
}

.fs-tkcs-service-countdown span:nth-child(1) {
  width: 110px;
  font-size: 16px;
}

.fs-tkcs-service-countdown span:nth-child(2) {
  font-size: 24px;
  font-weight: 400;
}

.fs-tkcs-service-countdown::before {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: var(--fs-tkcs-team-service-countdown-bg);
  opacity: 0.5;
  content: '';
  z-index: -1;
}

.fs-tkcs-service-info {
  position: relative;
  display: flex;
  flex-direction: column;
  gap: 8px;
  color: var(--fs-tkcs-team-service-swiper-color);
}


.fs-tkcs-service-info-name {
  font-family: Urbanist;
  font-size: 32px;
  font-style: normal;
  font-weight: 600;
  line-height: 100%;
  /* 32px */
  text-transform: uppercase;
  height: 64px;
  overflow: hidden;
}

.fs-tkcs-service-info-original-price {
  padding-top: 24px;
  font-family: Urbanist;
  font-size: 24px;
  font-style: normal;
  font-weight: 400;
  line-height: 100%;
  /* 24px */
  /* text-decoration-line: line-through; */
  text-transform: uppercase;
}

.fs-tkcs-service-info-now-price {
  font-family: Rubik;
  font-size: 32px;
  font-style: normal;
  font-weight: 300;
  line-height: normal;
}

.fs-tkcs-service-info-expiration-time {
  display: none;
}


/* Media Query */
@media (max-width: 1000px) {
  .fs-tkcs-service {
    padding-top: 5.62rem;
    padding-bottom: 5.12rem;
    gap: 5.5rem;
  }

  .fs-tkcs-service-tab {
    width: 100%;
    gap: 3.94rem;
  }

  .fs-tkcs-service-tab span {
    height: 4.13rem;
    font-size: 3rem;
  }
  .fs-tkcs-service-tab span::before{
    height: 0.5rem;
  }


  .fs-tkcs-service .swiper-slide {
    width: 25.875rem;
    gap: 2rem;
    margin-right: 3.62rem;
    padding: 1.5rem;
    padding-top: 0;
  }

  .fs-tkcs-service .swiper-slide:nth-child(1) {
    margin-left: 4.5rem;
  }

  .fs-tkcs-service-img {
    width: 25.875rem;
    margin-top: -1.5rem;
  }

  .fs-tkcs-service-info {
    gap: 0.47rem;
  }

  .fs-tkcs-service-countdown {
    padding: 0.5rem 1.5rem;
  }

  .fs-tkcs-service-countdown span:nth-child(1) {
    width: 5rem;
    font-size: 1.5rem;
  }

  .fs-tkcs-service-countdown span:nth-child(2) {
    font-size: 2.25rem;
  }

  .fs-tkcs-service-info-name {
    font-size: 2.5rem;
    height: 5rem;
  }

  .fs-tkcs-service-info-original-price {
    font-size: 2rem;
    padding-top: 3.5rem;
  }

  .fs-tkcs-service-info-now-price {
    font-size: 2.5rem;
  }
}

/* index-v2 样式 - Service Staff */
.fs-tkcs-service {
  position: relative;
  padding: 90px 0;
  display: flex;
  flex-direction: column;
  gap: 80px;
  width: 100%;
  overflow-x: hidden;
  background: #D8B976;
}

.fs-tkcs-service-tab {
  position: relative;
  width: min(96%, 1440px);
  margin: 0 auto;
  display: flex;
  justify-content: center;
  gap: 80px;
  z-index: 2;
}

.fs-tkcs-service-tab span {
  position: relative;
  color: #FFFFFF;
  text-align: center;
  font-family: Urbanist;
  font-size: 40px;
  font-style: normal;
  font-weight: 600;
  line-height: 100%;
  height: 56px;
  text-transform: uppercase;
  cursor: pointer;
}

.fs-tkcs-service-tab span::before {
  position: absolute;
  bottom: 0;
  left: 50%;
  transform: translateX(-50%);
  width: 50%;
  height: 6px;
  background: #FFFFFF;
  content: '';
  display: none;
}

.fs-tkcs-service-tab span.fs-tkcs-service-tab-active::before {
  display: block;
}

.fs-tkcs-service .swiper {
  width: 100%;
  overflow: visible;
}

.fs-tkcs-service .swiper-slide {
  display: flex;
  flex-direction: column;
  gap: 24px;
  width: 380px;
  margin-right: 64px;
  padding: 24px;
  padding-top: 0;
  background: #FFFFFF;
}

.fs-tkcs-service .swiper-slide:nth-child(1) {
  margin-left: calc((100% - min(96%, 1440px)) / 2);
}

.fs-tkcs-service-img {
  position: relative;
  width: 380px;
  aspect-ratio: 1/1;
  overflow: hidden;
  margin-top: -24px;
}

.fs-tkcs-service-img img {
  position: relative;
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: top;
  z-index: 1;
}

.fs-tkcs-service-countdown {
  position: absolute;
  bottom: 0;
  right: 0;
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  color: #F5DFAE;
  font-family: "Rubik";
  font-style: normal;
  font-weight: 300;
  line-height: 1;
  letter-spacing: 1px;
  padding: 8px 16px;
  z-index: 5;
}

.fs-tkcs-service-countdown span:nth-child(1) {
  width: 110px;
  font-size: 16px;
}

.fs-tkcs-service-countdown span:nth-child(2) {
  font-size: 24px;
  font-weight: 400;
}

.fs-tkcs-service-info {
  position: relative;
  display: flex;
  flex-direction: column;
  gap: 8px;
  color: #565759;
}

.fs-tkcs-service-info-name {
  font-family: Urbanist;
  font-size: 32px;
  font-style: normal;
  font-weight: 600;
  line-height: 100%;
  overflow: hidden;
}

.fs-tkcs-service-info-original-price {
  padding-top: 15px;
  font-family: Urbanist;
  font-size: 24px;
  font-style: normal;
  font-weight: 400;
  line-height: 100%;
}

.fs-tkcs-service-info-now-price {
  font-family: Rubik;
  font-size: 32px;
  font-style: normal;
  font-weight: 300;
  line-height: normal;
}

.fs-tkcs-service-info-expiration-time {
  display: none;
}

@media (max-width: 1000px) {
  .fs-tkcs-service {
    padding-top: 5.62rem;
    padding-bottom: 5.12rem;
    gap: 5.5rem;
  }

  .fs-tkcs-service-tab {
    width: 100%;
    gap: 3.94rem;
  }

  .fs-tkcs-service-tab span {
    height: 4.13rem;
    font-size: 3rem;
  }

  .fs-tkcs-service-tab span::before {
    height: 0.5rem;
  }

  .fs-tkcs-service .swiper-slide {
    width: 25.875rem;
    gap: 2rem;
    margin-right: 3.62rem;
    padding: 1.5rem;
    padding-top: 0;
  }

  .fs-tkcs-service .swiper-slide:nth-child(1) {
    margin-left: 4.5rem;
  }

  .fs-tkcs-service-img {
    width: 25.875rem;
    margin-top: -1.5rem;
  }

  .fs-tkcs-service-info {
    gap: 0.47rem;
  }

  .fs-tkcs-service-countdown {
    padding: 0.5rem 1.5rem;
  }

  .fs-tkcs-service-countdown span:nth-child(1) {
    width: 5rem;
    font-size: 1.5rem;
  }

  .fs-tkcs-service-countdown span:nth-child(2) {
    font-size: 2.25rem;
  }

  .fs-tkcs-service-info-name {
    font-size: 2.5rem;
    height: 5rem;
  }

  .fs-tkcs-service-info-original-price {
    font-size: 2rem;
    padding-top: 15px;
  }

  .fs-tkcs-service-info-now-price {
    font-size: 2.5rem;
  }
}